SCM Creator (+Github) - Bug #2417

redmine_scm breaks /admin/info
03 Dec 2016 14:29 - Lukas Pirl

Status: Closed
Priority: Normal
Assignee: Andriy Lesyuk
Category:

Target version: 0.5.1

Redmine version:

Start date:

Due date:

% Done: 100%
Estimated time: 0.00 hour

External issue:

Description

redmine_scm breaks the page /admin/info with the following error:

App 50911 stderr: Rendered admin/info.html.erb within layouts/admin (155.7ms)
App 50911 stderr: Completed 500 Internal Server Error in 178ms (ActiveRecord: 2.6ms)

App 50911 stderr:

App 50911 stderr: ActionView::Template::Error

anchors (~ or $), whi

(The provided regular expression is using multiline

ch may present a security risk. Did you mean to use \A and \z, or forgot to add the :multiline =>

true option?):

App 50911 stderr: 12: </table>

App 50911 stderr: 13: <br />

App 50911 stderr: 14: <div class="box">

App 50911 stderr: 15: <pre><%= Redmine::Info.environment $%></pre>

App 50911 stderr: 16: </div>

App 50911 stderr: 17:

App 50911 stderr: 18: <% html_title(l(:label_information_plural)) -%>

App 50911 stderr: plugins/redmine_scm/app/models/repository/github.rb:4:in "“<class:Github>"'
App 50911 stderr: plugins/redmine_scm/app/models/repository/github.rb:3:in "<top (required)>'
App 50911 stderr: lib/redmine/info "block in environment'

App 50911 stderr: lib/redmine/info ‘each'

App 50911 stderr: lib/redmine/info ‘environment'

App 50911 stderr: app/views/admin/info.html.erb:15:in ' _app_views_admin_info_html_erb__ 86724278

739817359_66792600"

A hotfix is (it's probably also the proper fix) to replace "M with /A’ and '$' with '/z’ in

plugins/redmine_scm/app/models/repository/github.rb:4

Associated revisions

Revision 141 - 14 Dec 2014 22:09 - Andriy Lesyuk

Fixes for Redmine 3.x: regexp fix and observer removal

History

#1 - 17 Dec 2016 18:58 - Andriy Lesyuk
- Status changed from New to Closed

- Assignee set to Andriy Lesyuk

- Target version set to 0.5.1

- % Done changed from 0 to 100

This was already fixed in r141
http://projects.andriylesyuk.com/projects/scm-creator/repository/revisions/141
http://www.tcpdf.org

